Bug 727892 - kexec-tools: Warn a user to use maxcpus=1 instead of nr_cpus=1 for older kernels
Summary: kexec-tools: Warn a user to use maxcpus=1 instead of nr_cpus=1 for older kernels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools
Version: 6.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Cong Wang
QA Contact: Chao Ye
URL:
Whiteboard:
Depends On:
Blocks: 719149 743047
TreeView+ depends on / blocked
 
Reported: 2011-08-03 14:47 UTC by Vivek Goyal
Modified: 2013-09-30 02:26 UTC (History)
5 users (show)

Fixed In Version: kexec-tools-2_0_0-203_el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 18:19:32 UTC


Attachments (Terms of Use)
Proposed patch (905 bytes, patch)
2011-08-09 12:39 UTC, Cong Wang
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1532 normal SHIPPED_LIVE Moderate: kexec-tools security, bug fix, and enhancement update 2011-12-06 01:01:52 UTC

Description Vivek Goyal 2011-08-03 14:47:19 UTC
Description of problem:

In RHEL 171 kernel we committed patches to make nr_cpus=1 command line option work in kdump kenrel. Now /etc/kdump.conf in kexec-tools package has been modified to use nr_cpus=1.

But this change is not backward compatible. New kexec-tools will break with older kernels. 

So we need to do two things.

- Put a warning to use maxcpus=1 if kernel version is older than 171
- Put a release not explaining the change in 6.2


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Cong Wang 2011-08-09 12:39:58 UTC
Created attachment 517401 [details]
Proposed patch

Comment 4 Chao Ye 2011-09-27 03:04:24 UTC
Tested with kexec-tools-2.0.0-204.el6:
===================================================================
[root@intel-chiefriver-02 ~]# rpm -q kernel kexec-tools
kernel-2.6.32-131.0.15.el6.x86_64
kexec-tools-2.0.0-204.el6.x86_64
[root@intel-chiefriver-02 ~]# touch /etc/kdump.conf 
[root@intel-chiefriver-02 ~]# service kdump restart
Stopping kdump:                                            [  OK  ]
Detected change(s) the following file(s):
  
  /etc/kdump.conf
Rebuilding /boot/initrd-2.6.32-131.0.15.el6.x86_64kdump.img
Your kernel is old, please use maxcpus=1 instead of nr_cpus[WARNING]
Starting kdump:                                            [  OK  ]
--------------------------------------------------------------------
[root@intel-chiefriver-02 ~]# uname -a
Linux intel-chiefriver-02.lab.bos.redhat.com 2.6.32-202.el6.x86_64 #1 SMP Wed Sep 21 15:27:03 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
[root@intel-chiefriver-02 ~]# rpm -q kexec-tools
kexec-tools-2.0.0-204.el6.x86_64
[root@intel-chiefriver-02 ~]# touch /etc/kdump.conf 
[root@intel-chiefriver-02 ~]# service kdump restart
Stopping kdump:                                            [  OK  ]
Detected change(s) the following file(s):
  
  /etc/kdump.conf
Rebuilding /boot/initrd-2.6.32-202.el6.x86_64kdump.img
Starting kdump:                                            [  OK  ]


Change status to VERIFIED.

Comment 5 errata-xmlrpc 2011-12-06 18:19:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1532.html


Note You need to log in before you can comment on or make changes to this bug.